Skip to Content
Events

List events

Events in the key's mode, soonest first. Requires the `events:read` scope.

GET
/v1/events

Events in the key's mode, soonest first.

Requires the events:read scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Query Parameters

limit?integer

Page size, 1 to 100. Defaults to 50.

Range1 <= value <= 100
cursor?string

The next_cursor from the previous page.

Length1 <= length <= 1024
status?string
Value in"draft""published""cancelled"
series_id?string
Match^ser_[0-9A-Za-z]{6,64}$
starts_after?string

Only events starting at or after this time.

Formatdate-time

Response Body

A page of events.

application/json
  1. response
data*array<>
next_cursor*|

Pass as cursor to get the next page. null on the last page.

Example Request
curl -X GET 'https://api.whocoming.com/v1/events'
Example Response
{  "data": [    {      "id": "string",      "mode": "live",      "series_id": "string",      "slug": "string",      "title": "string",      "description": "string",      "starts_at": "2019-08-24T14:15:22Z",      "ends_at": "2019-08-24T14:15:22Z",      "timezone": "string",      "location_name": "string",      "location_address": "string",      "online_url": "string",      "capacity": 0,      "max_guests": 0,      "waitlist_enabled": true,      "visibility": "public",      "status": "draft",      "price_note": "string",      "cover_image_url": "string",      "fields": [        {          "key": "string",          "label": "string",          "type": "text",          "required": true,          "options": [            "string"          ]        }      ],      "counts": {        "going": 0,        "waitlisted": 0,        "spots_left": 0      },      "url": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}